## hunspell-dz 0.1.0

=== lo/Makefile ===
all: oxt

# https://wiki.openoffice.org/wiki/Documentation/DevGuide/Extensions/File_Format

FILES=dictionaries.xcu description.xml package-description.txt

oxt: $(FILES) ../README.md ../CHANGELOG.md ../dz.dic ../dz.aff META-INF/manifest.xml
	@echo "Making oxt file for LibreOffice..."
	@mkdir -p dictionaries && cp ../dz.dic ../dz.aff dictionaries
	@cp ../README.md .
	@zip -rq dzongkha-spellchecker.oxt dictionaries $(FILES) META-INF README.md CHANGELOG.md

clean:
	@rm -rf dictionaries README.md CHANGELOG.md dzongkha-spellchecker.oxt

=== debian/changelog ===
hunspell-dz (0.1.0-3) unstable; urgency=medium

  * debian/links:  Create file to add the primary language variant (dz_BT) to
    the name of the Hunspell dictionary files to make them work with
    LibreOffice. (Closes: #1109556).

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Sat, 19 Jul 2025 20:33:34 -0400

hunspell-dz (0.1.0-2) unstable; urgency=medium

  [ Manuel Guerra ]
  * debian/compat: Deleted file. Compat is now defined in debian/control.
  * debian/control:
    - Added support for bdic binary dictionary files (Closes: #1020474).
    - Make Manuel Guerra <ar.manuelguerra@gmail.com> an uploader
      and Soren Stoutner <soren@debian.org> the maintainer (Closes: #1102013).
  * debian/copyright:
    - Add myself to the Files: debian/* stanza.
    - Refactor license text.
  * debian/install: Set location for .bdic file.
  * Remove debian/hunspell-dz.links. There is no need to create links for
    regional variants that just point back to the main dicitonary file, as
    spellchecking will automatically fall back to the main language.
  * debian/rules: Builds the .bdic file.
  * Remove unneeded binary package prefix from file names:
    - debian/hunspell-dz.docs > debian/docs
    - debian/hunspell-dz.info-hunspell > debian/info-hunspell
    - debian/hunspell-dz.install > debian/install
    - debian/hunspell-dz.links > debian/links
  * Remove unused, historical debian/Makefile.
  * Add debian/clean to remove compiled .bdic binary dicationary.
  * Add debian/lintian-overrides.
  * Add debian/salsa-ci.yml with recommended default contents.
  * Add debian/upstream/metadata with upstream relevant links.

  [ Soren Stoutner ]
  * debian/copyright:
    - Add myself to the Files: debian/* stanza.
    - Add Elie Roux's email address to the Files: * stanza.
  * debian/gbp.conf:
    - Use the default branch names.
    - Enforce pristine-tar and sign-tags.
  * debian/watch:  Refactor to work with current GitHub requirements.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Thu, 17 Apr 2025 19:57:36 -0400

hunspell-dz (0.1.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 17:05:00 +0100

hunspell-dz (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #873435).

 -- Elie Roux <elie.roux@telecom-bretagne.eu>  Thu, 1 Sep 2016 10:10:00 +0200

=== debian/control ===
Source: hunspell-dz
Section: text
Priority: optional
Maintainer: Soren Stoutner <soren@debian.org>
Uploaders: Manuel Guerra <ar.manuelguerra@gmail.com>,
           Elie Roux <elie.roux@telecom-bretagne.eu>
Build-Depends: debhelper-compat (= 13),
               convert-bdic
Build-Depends-Indep: dictionaries-common-dev
Rules-Requires-Root: no
Homepage: https://github.com/eroux/hunspell-dz
Vcs-Git: https://salsa.debian.org/debian/hunspell-dz.git
Vcs-Browser: https://salsa.debian.org/debian/hunspell-dz
Standards-Version: 4.7.2

Package: hunspell-dz
Architecture: all
Depends: dictionaries-common,
         ${misc:Depends}
Provides: hunspell-dictionary,
          hunspell-dictionary-dz
Description: Dzongkha language dictionary for hunspell
 This dictionary contains Dzongkha valid syllables for the hunspell
 spellchecker. Contains all possible legal syllables of Dzongkha,
 plus the syllables found in many proper nouns.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_before_dh_auto_build:
	# Make a copy of the dictionary files.
	cp dz.aff dz-copy.aff
	cp dz.dic dz-copy.dic

	# Remove any instances of IGNORE from dz-copy.aff, as these are not
	# supported by .bdic.  <https://bugreports.qt.io/browse/QTBUG-107600>
	sed -i '/IGNORE/d' dz-copy.aff

	# Compile the .bdic binary dictionary.
	convert-bdic dz-copy.dic dz.bdic

	# Remove the copies of the dictionary files.
	rm dz-copy.aff
	rm dz-copy.dic

execute_after_dh_auto_install:
	# Install the info-hunspell file.
	installdeb-hunspell

=== debian/watch ===
version=4
https://github.com/eroux/hunspell-dz/tags .*/v?(\d.*).tar.gz
